#!/bin/bash -eu
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
################################################################################

mkdir build && cd build
cmake -DBUILD_SHARED_LIBS=OFF \
      -DABSL_MIN_LOG_LEVEL=4 \
      -DGTEST_ROOT=/usr/src/gtest ..
make -j$(nproc)

$CXX $CXXFLAGS -DABSL_MIN_LOG_LEVEL=4 \
  -I/src/s2geometry/src \
  -I/usr/src/gtest/include -std=c++11 \
  -c $SRC/s2_fuzzer.cc \
  -o s2_fuzzer.o

$CXX $CXXFLAGS $LIB_FUZZING_ENGINE \
  s2_fuzzer.o -o $OUT/s2_fuzzer \
  /src/s2geometry/build/libs2.a \
  /src/openssl-1.1.1g/libssl.a \
  /src/openssl-1.1.1g/libcrypto.a
